<?php

/*
Plugin Name: Social Engine Public Groups 
Plugin URI: http://sociallife.it/blog/
Description: This plugin/widget retrieves the Last X SE Public Groups and display them in your Wordpress Sidebar. To show your SE groups in the other pages of your wp, simply put the code <code>&lt;?php joomood_groups(); ?&gt;</code> where you want in your template.
Author: JooMood
Version: 2.0
Author URI: http://2cq.it/

	Copyright 2009, JooMOod
	-----------------------

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
*/

function joomood_groups_install() {

	$newoptions = get_option('joomood_groups_options');
	
    $newoptions['title']					='JooMood SE Groups';
    $newoptions['numOfGroup']				='6';
    $newoptions['how_many_groups']			='1';
    $newoptions['data_type']				='2';
    $newoptions['image_border']				='0';
    $newoptions['image_bordercolor']		='#333333';
    $newoptions['go_profile_text']			='See the group';
    $newoptions['go_profile_text1']			='See the profile of';
    $newoptions['empty_image_url']			='images/nophoto.gif';
    $newoptions['pic_dim_width']			='50';
    $newoptions['pic_dim_height']			='50';
    $newoptions['nametype']					='2';
	$newoptions['mainbox_border_style']		='0';
	$newoptions['mainbox_border_color']		='#333333';
	$newoptions['mainbox_border_dim']		='1';
	$newoptions['mainbox_bg_color']			='#ededed';
	$newoptions['mainbox_width']			='100';
	$newoptions['box_border_style']			='0';
	$newoptions['box_border_color']			='#333333';
	$newoptions['box_border_dim']			='1';
	$newoptions['box_bg_color']				='#f7f7f7';
	$newoptions['outer_cellspacing']		='4';
	$newoptions['outer_cellpadding']		='2';
	$newoptions['inner_cellspacing']		='4';
	$newoptions['inner_cellpadding']		='2';
	$newoptions['cut_off']					='100';
	$newoptions['show_stat']				='yes';
	$newoptions['hide_desc']				='no';
	$newoptions['split_stat']				='no';
	$newoptions['use_resize']				='yes';

	add_option('joomood_groups_options', $newoptions);

}


// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

// add the admin page
function joomood_groups_add_pages() {
	add_options_page('SE Groups', 'SE Groups', 8, __FILE__, 'joomood_groups_options');
}

// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


function joomood_groups() {

  $newoptions = get_option("joomood_groups_options");

  	echo $before_widget;
    echo $before_title;
    echo "<h3>";

    echo $newoptions['title'];
    
    $title		 				= $newoptions['title'];
    $numOfGroup 				= $newoptions['numOfGroup'];
    $how_many_groups 			= $newoptions['how_many_groups'];
    $data_type 					= $newoptions['data_type'];
    $image_border 				= $newoptions['image_border'];
    $image_bordercolor 			= $newoptions['image_bordercolor'];
    $go_profile_text 			= $newoptions['go_profile_text'];
    $go_profile_text1 			= $newoptions['go_profile_text1'];
    $empty_image_url 			= $newoptions['empty_image_url'];
    $pic_dim_width 				= $newoptions['pic_dim_width'];
    $pic_dim_height 			= $newoptions['pic_dim_height'];
    $nametype 					= $newoptions['nametype'];
	$mainbox_width				= $newoptions['mainbox_width'];
	$mainbox_border_style		= $newoptions['mainbox_border_style'];
	$mainbox_border_color		= $newoptions['mainbox_border_color'];
	$mainbox_border_dim			= $newoptions['mainbox_border_dim'];
	$mainbox_bg_color			= $newoptions['mainbox_bg_color'];
	$box_border_style			= $newoptions['box_border_style'];
	$box_border_color			= $newoptions['box_border_color'];
	$box_border_dim				= $newoptions['box_border_dim'];
	$box_bg_color				= $newoptions['box_bg_color'];
	$outer_cellspacing			= $newoptions['outer_cellspacing'];
	$outer_cellpadding			= $newoptions['outer_cellpadding'];
	$inner_cellspacing			= $newoptions['inner_cellspacing'];
	$inner_cellpadding			= $newoptions['inner_cellpadding'];
	$cut_off					= $newoptions['cut_off'];
	$show_stat					= $newoptions['show_stat'];
	$hide_desc					= $newoptions['hide_desc'];
	$split_stat					= $newoptions['split_stat'];
	$use_resize					= $newoptions['use_resize'];	    
	    
    
    echo $after_title;
    echo"</h3><br />";

	
	// Load main file
	
    include(ABSPATH.'wp-content/plugins/wp-se_groups/main/se_groups.php');

    echo $after_widget;
    echo "<br /><br />";

} // End of se_groups function



// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


	function joomood_groups_options() {

	$options = $newoptions = get_option('joomood_groups_options');

	if ( $_POST["mygroups_submit"] ) {

    $newoptions['title'] =htmlspecialchars($_POST['title']);
    $newoptions['numOfGroup'] = $_POST['numOfGroup'];
    $newoptions['how_many_groups'] = $_POST['how_many_groups'];
    $newoptions['data_type'] = $_POST['data_type'];
    $newoptions['image_border'] = $_POST['image_border'];
    $newoptions['image_bordercolor'] = $_POST['image_bordercolor'];
    $newoptions['go_profile_text'] = htmlspecialchars($_POST['go_profile_text']);
    $newoptions['go_profile_text1'] = htmlspecialchars($_POST['go_profile_text1']);
    $newoptions['empty_image_url'] = $_POST['empty_image_url'];
    $newoptions['pic_dim_width'] = $_POST['pic_dim_width'];
    $newoptions['pic_dim_height'] = $_POST['pic_dim_height'];
    $newoptions['nametype'] = $_POST['nametype'];
	$newoptions['mainbox_width'] = $_POST['mainbox_width'];
	$newoptions['mainbox_border_style'] = $_POST['mainbox_border_style'];
	$newoptions['mainbox_border_color'] = $_POST['mainbox_border_color'];
	$newoptions['mainbox_border_dim'] = $_POST['mainbox_border_dim'];
	$newoptions['mainbox_bg_color'] = $_POST['mainbox_bg_color'];
	$newoptions['box_border_style'] = $_POST['box_border_style'];
	$newoptions['box_border_color'] = $_POST['box_border_color'];
	$newoptions['box_border_dim'] = $_POST['box_border_dim'];
	$newoptions['box_bg_color'] = $_POST['box_bg_color'];
	$newoptions['outer_cellspacing'] = $_POST['outer_cellspacing'];
	$newoptions['outer_cellpadding'] = $_POST['outer_cellpadding'];
	$newoptions['inner_cellspacing'] = $_POST['inner_cellspacing'];
	$newoptions['inner_cellpadding'] = $_POST['inner_cellpadding'];
	$newoptions['cut_off'] = $_POST['cut_off'];
	$newoptions['show_stat'] = $_POST['show_stat'];
	$newoptions['split_stat'] = $_POST['split_stat'];
	$newoptions['hide_desc'] = $_POST['hide_desc'];
	$newoptions['use_resize'] = $_POST['use_resize'];


	}
	
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('joomood_groups_options', $options);
	}


	echo '<form method="post">';
	echo "<div class=\"wrap\"><h2>JooMood Social Engine Groups - Display Options</h2>";
	echo '<table class="form-table">';

	echo '<tr valign="top">';
	echo '<th scope="row">Title of the block</th><td><input name="title" type="text" value="'.$options['title'].'" /></td></tr>';

	echo '<tr valign="top">';
	echo '<th scope="row">How many Groups you want to display?</th><td><input name="numOfGroup" type="text" value="'.$options['numOfGroup'].'" /></td></tr>';

	echo '<tr valign="top">';
	echo '<th scope="row">How many Groups in every line?</th><td><input name="how_many_groups" type="text" value="'.$options['how_many_groups'].'" /></td></tr>';

	echo '<tr valign="top">';
	echo '<th scope="row">Type of Date</th><td><select name="data_type" id="data_type">
      <option ';
      if($options['data_type'] == "1"){ echo ' selected '; } echo 'value="1">Short Date</option>
      <option ';
      if($options['data_type'] == "2"){ echo ' selected '; } echo 'value="2">Full Date</option>
	  </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Use Image Resize Script?</th><td>
    <select name="use_resize" id="use_resize">
      <option ';
      if($options['use_resize'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['use_resize'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Image Width</th><td><input name="pic_dim_width" type="text" value="'.$options['pic_dim_width'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Image Height</th><td><input name="pic_dim_height" type="text" value="'.$options['pic_dim_height'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Image Border (in pixel)</th><td><input name="image_border" type="text" value="'.$options['image_border'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Image Border Color</th><td><input name="image_bordercolor" type="text" value="'.$options['image_bordercolor'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Group Link Title</th><td><input name="go_profile_text" type="text" value="'.$options['go_profile_text'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">User Link Title</th><td><input name="go_profile_text1" type="text" value="'.$options['go_profile_text1'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">SE Empty Image</th><td><input name="empty_image_url" type="text" value="'.$options['empty_image_url'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Type of Name</th><td>
    <select name="nametype" id="nametype">
      <option ';
      if($options['nametype'] == "1"){ echo ' selected '; } echo 'value="1">Username</option>
      <option ';
      if($options['nametype'] == "2"){ echo ' selected '; } echo 'value="2">Full Name</option>
    </select>
	</td>
	</tr>
	<tr valign="top">
	<th scope="row">Mainbox Width (in %)</th><td><input name="mainbox_width" type="text" value="'.$options['mainbox_width'].'" /></td>
	</tr>
	<tr valign="top">
	<th scope="row">Mainbox Border Style</th><td>
    <select name="mainbox_border_style" id="mainbox_border_style">
      <option ';
      if($options['mainbox_border_style'] == "0"){ echo ' selected '; } echo 'value="0">No Border</option>
      <option ';
      if($options['mainbox_border_style'] == "1"){ echo ' selected '; } echo 'value="1">Dotted Border</option>
      <option ';
      if($options['mainbox_border_style'] == "2"){ echo ' selected '; } echo 'value="2">Solid Border</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Mainbox Border Color</th><td><input name="mainbox_border_color" type="text" value="'.$options['mainbox_border_color'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Mainbox Border Thickness</th><td><input name="mainbox_border_dim" type="text" value="'.$options['mainbox_border_dim'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Mainbox Background Color</th><td><input name="mainbox_bg_color" type="text" value="'.$options['mainbox_bg_color'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Border Style</th><td>
    <select name="box_border_style" id="box_border_style">
      <option ';
      if($options['box_border_style'] == "0"){ echo ' selected '; } echo 'value="0">No Border</option>
      <option ';
      if($options['box_border_style'] == "1"){ echo ' selected '; } echo 'value="1">Dotted Border</option>
      <option ';
      if($options['box_border_style'] == "2"){ echo ' selected '; } echo 'value="2">Solid Border</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Border Color</th><td><input name="box_border_color" type="text" value="'.$options['box_border_color'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Border Thickness</th><td><input name="box_border_dim" type="text" value="'.$options['box_border_dim'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Background Color</th><td><input name="box_bg_color" type="text" value="'.$options['box_bg_color'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Mainbox Cellspacing</th><td><input name="outer_cellspacing" type="text" value="'.$options['outer_cellspacing'].'" /></td>
	</tr>
	
	<tr valign="top">
	<th scope="row">Mainbox Cellpadding</th><td><input name="outer_cellpadding" type="text" value="'.$options['outer_cellpadding'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Cellspacing</th><td><input name="inner_cellspacing" type="text" value="'.$options['inner_cellspacing'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner Cellpadding</th><td><input name="inner_cellpadding" type="text" value="'.$options['inner_cellpadding'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Cut Description after X Chars</th><td><input name="cut_off" type="text" value="'.$options['cut_off'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Show Stats</th>
	<td>
    <select name="show_stat" id="show_stat">
      <option ';
      if($options['show_stat'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['show_stat'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Split Stats in 2 Lines?</th><td>
    <select name="split_stat" id="split_stat">
      <option ';
      if($options['split_stat'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['split_stat'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Hide the Description?</th><td>
    <select name="hide_desc" id="hide_desc">
      <option ';
      if($options['hide_desc'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['hide_desc'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>

	<input type="hidden" name="mygroups_submit" value="true">

	</table>

	<p class="submit"><input type="submit" value="Update Options &raquo;"></input></p>

	</div>

	</form>';


	} // End of se_groups_options function


// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


function widget_SeGroup($args) {
  extract($args);

  $options = get_option("widget_SeGroup");
  if (!is_array( $options ))
        {
                $options = array(
      'title' => 'JooMood SE Groups',
      'numOfGroup' => '3',
      'how_many_groups'=>'1',
      'data_type'=>'1',
      'image_border'=>'0',
      'image_bordercolor'=>'#333333',
      'go_profile_text'=>'See the group',
      'go_profile_text1'=>'See the profile of',
      'empty_image_url'=>'images/nophoto.gif',
      'pic_dim_width'=>'30',
      'pic_dim_height'=>'30',
      'nametype'=>'2',
      'mainbox_width'=>'100',
      'mainbox_border_style'=>'0',
      'mainbox_border_color'=>'#333333',
      'mainbox_border_dim'=>'1',
      'mainbox_bg_color'=>'#ededed',
      'box_border_style'=>'0',
      'box_border_color'=>'#333333',
      'box_border_dim'=>'1',
      'box_bg_color'=>'#f7f7f7',
      'outer_cellspacing'=>'4',
      'outer_cellpadding'=>'2',
      'inner_cellspacing'=>'4',
      'inner_cellpadding'=>'2',
      'cut_off'=>'100',
      'show_stat'=>'yes',
      'split_stat'=>'no',
      'use_resize'=>'yes',
      'hide_desc'=>'no'
      );
  }      

  	echo $before_widget;
    echo $before_title;

    echo $options['title'];
    
    $title		 				= $options['title'];
    $numOfGroup 				= $options['numOfGroup'];
    $how_many_groups 			= $options['how_many_groups'];
    $data_type 					= $options['data_type'];
    $image_border 				= $options['image_border'];
    $image_bordercolor 			= $options['image_bordercolor'];
    $go_profile_text 			= $options['go_profile_text'];
    $go_profile_text1 			= $options['go_profile_text1'];
    $empty_image_url 			= $options['empty_image_url'];
    $pic_dim_width 				= $options['pic_dim_width'];
    $pic_dim_height 			= $options['pic_dim_height'];
    $nametype 					= $options['nametype'];
	$mainbox_width				= $options['mainbox_width'];
	$mainbox_border_style		= $options['mainbox_border_style'];
	$mainbox_border_color		= $options['mainbox_border_color'];
	$mainbox_border_dim			= $options['mainbox_border_dim'];
	$mainbox_bg_color			= $options['mainbox_bg_color'];
	$box_border_style			= $options['box_border_style'];
	$box_border_color			= $options['box_border_color'];
	$box_border_dim				= $options['box_border_dim'];
	$box_bg_color				= $options['box_bg_color'];
	$outer_cellspacing			= $options['outer_cellspacing'];
	$outer_cellpadding			= $options['outer_cellpadding'];
	$inner_cellspacing			= $options['inner_cellspacing'];
	$inner_cellpadding			= $options['inner_cellpadding'];
	$cut_off					= $options['cut_off'];
	$show_stat					= $options['show_stat'];
	$hide_desc					= $options['hide_desc'];
	$split_stat					= $options['split_stat'];
	$use_resize					= $options['use_resize'];	    
	    
    
    echo $after_title;

	
	// Load main file
	
    include(ABSPATH.'wp-content/plugins/wp-se_groups/main/se_groups.php');

    echo $after_widget;

} // End of widget_SeGroup function


// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


function SeGroup_control()
{
  $options = get_option("widget_SeGroup");
  if (!is_array( $options ))
        {
                $options = array(
      'title' => 'JooMood SE Groups',
      'numOfGroup' => '3',
      'how_many_groups'=>'1',
      'data_type'=>'1',
      'image_border'=>'0',
      'image_bordercolor'=>'#333333',
      'go_profile_text'=>'See the group',
      'go_profile_text1'=>'See the profile of',
      'empty_image_url'=>'images/nophoto.gif',
      'pic_dim_width'=>'30',
      'pic_dim_height'=>'30',
      'nametype'=>'2',
      'mainbox_width'=>'100',
      'mainbox_border_style'=>'0',
      'mainbox_border_color'=>'#333333',
      'mainbox_border_dim'=>'1',
      'mainbox_bg_color'=>'#ededed',
      'box_border_style'=>'0',
      'box_border_color'=>'#333333',
      'box_border_dim'=>'1',
      'box_bg_color'=>'#f7f7f7',
      'outer_cellspacing'=>'4',
      'outer_cellpadding'=>'2',
      'inner_cellspacing'=>'4',
      'inner_cellpadding'=>'2',
      'cut_off'=>'100',
      'show_stat'=>'yes',
      'split_stat'=>'no',
      'use_resize'=>'yes',
      'hide_desc'=>'no'
      );
  }    

  if ($_POST['SeGroup-Submit'])
  {
    	
    $options['numOfGroup'] = $_POST['SeGroup-numOfGroup'];
    if($options['numOfGroup']=="") {
    $options['numOfGroup']="3";
    }

    $options['title'] = htmlspecialchars($_POST['SeGroup-WidgetTitle']);
    if($options['title']=="") {
    $options['title']="Last ".$options['numOfGroup']." SE Public Groups";
    }
 
    $options['how_many_groups'] = $_POST['SeGroup-how_many_groups'];
    if($options['how_many_groups']=="") {
    $options['how_many_groups']="1";
    }
 
    $options['data_type'] = $_POST['SeGroup-data_type'];
    if ($options['data_type']=="") {
    $options['data_type']="2";
    }
 
    $options['image_border'] = $_POST['SeGroup-image_border'];
    if($options['image_border']=="") {
    $options['image_border']="0";
    }
 
    $options['image_bordercolor'] = $_POST['SeGroup-image_bordercolor'];
     if($options['image_bordercolor']=="") {
    $options['image_bordercolor']="#333333";
    }

    $options['go_profile_text'] = htmlspecialchars($_POST['SeGroup-go_profile_text']);
    if($options['go_profile_text']=="") {
    $options['go_profile_text']="";
    }
 
    $options['go_profile_text1'] = htmlspecialchars($_POST['SeGroup-go_profile_text1']);
    if($options['go_profile_text1']=="") {
    $options['go_profile_text1']="";
    }
 
    $options['empty_image_url'] = $_POST['SeGroup-empty_image_url'];
    if($options['empty_image_url']=="") {
    $options['empty_image_url']="images/nophoto.gif";
    }
    
    $options['pic_dim_width'] = $_POST['SeGroup-pic_dim_width'];
    if($options['pic_dim_width']=="") {
    $options['pic_dim_width']="30";
    }

    $options['pic_dim_height'] = $_POST['SeGroup-pic_dim_height'];
    if($options['pic_dim_height']=="") {
    $options['pic_dim_height']="30";
    }

    $options['nametype'] = $_POST['SeGroup-nametype'];
    if ($options['nametype']=="") {
    $options['nametype']="2";
    }

	$options['mainbox_width'] = $_POST['SeGroup-mainbox_width'];
    if ($options['mainbox_width']=="") {
    $options['mainbox_width']="100";
    }

	$options['mainbox_border_style'] = $_POST['SeGroup-mainbox_border_style'];
    if ($options['mainbox_border_style']=="") {
    $options['mainbox_border_style']="0";
    }

	$options['mainbox_border_color'] = $_POST['SeGroup-mainbox_border_color'];
    if ($options['mainbox_border_color']=="") {
    $options['mainbox_border_color']="#333333";
    }

	$options['mainbox_border_dim'] = $_POST['SeGroup-mainbox_border_dim'];
    if ($options['mainbox_border_dim']=="") {
    $options['mainbox_border_dim']="1";
    }
    
	$options['mainbox_bg_color'] = $_POST['SeGroup-mainbox_bg_color'];
    if ($options['mainbox_bgcolor']=="") {
    $options['mainbox_bgcolor']="#ededed";
    }

	$options['box_border_style'] = $_POST['SeGroup-box_border_style'];
    if ($options['box_border_style']=="") {
    $options['box_border_style']="0";
    }

	$options['box_border_color'] = $_POST['SeGroup-box_border_color'];
    if ($options['box_border_color']=="") {
    $options['box_border_color']="#333333";
    }

	$options['box_border_dim'] = $_POST['SeGroup-box_border_dim'];
    if ($options['box_border_dim']=="") {
    $options['box_border_dim']="1";
    }
    
	$options['box_bg_color'] = $_POST['SeGroup-box_bg_color'];
    if ($options['box_bg_color']=="") {
    $options['box_bg_color']="#f7f7f7";
    }

	$options['outer_cellspacing'] = $_POST['SeGroup-outer_cellspacing'];
    if ($options['outer_cellspacing']=="") {
    $options['outer_cellspacing']="4";
    }

	$options['outer_cellpadding'] = $_POST['SeGroup-outer_cellpadding'];
    if ($options['outer_cellpadding']=="") {
    $options['outer_cellpadding']="2";
    }

	$options['inner_cellspacing'] = $_POST['SeGroup-inner_cellspacing'];
    if ($options['inner_cellspacing']=="") {
    $options['inner_cellspacing']="4";
    }

	$options['inner_cellpadding'] = $_POST['SeGroup-inner_cellpadding'];
    if ($options['inner_cellpadding']=="") {
    $options['inner_cellpadding']="2";
    }

	$options['cut_off'] = $_POST['SeGroup-cut_off'];

	$options['show_stat'] = $_POST['SeGroup-show_stat'];
    if ($options['show_stat']=="") {
    $options['show_stat']="yes";
    }

	$options['split_stat'] = $_POST['SeGroup-split_stat'];
    if ($options['split_stat']=="") {
    $options['split_stat']="no";
    }

	$options['hide_desc'] = $_POST['SeGroup-hide_desc'];
    if ($options['hide_desc']=="") {
    $options['hide_desc']="no";
    }

	$options['use_resize'] = $_POST['SeGroup-use_resize'];
    if ($options['use_resize']=="") {
    $options['use_resize']="yes";
    }

    update_option("widget_SeGroup", $options);
  }

?>

    <p><label for="SeGroup-WidgetTitle">Widget Title: </label>
    <input class="widefat"  type="text" id="SeGroup-WidgetTitle" name="SeGroup-WidgetTitle" value="<?php echo $options['title'];?>" /></p>
    <p><label for="SeGroup-numOfGroup">Total Groups: </label>
    <input class="widefat"  type="text" id="SeGroup-numOfGroup" name="SeGroup-numOfGroup" value="<?php echo $options['numOfGroup'];?>" /></p>
    <p><label for="SeGroup-how_many_groups">Groups per Line: </label>
    <input class="widefat"  type="text" id="SeGroup-how_many_groups" name="SeGroup-how_many_groups" value="<?php echo $options['how_many_groups'];?>" /></p>
    <p><label for="SeGroup-data_type">Date Type: </label>
  	<select name="SeGroup-data_type" id="SeGroup-data_type">

    <option <?php if($options['data_type'] == "1"){ echo ' selected '; } ?>value="1">Short</option>
    <option <?php if($options['data_type'] == "2"){ echo ' selected '; } ?>value="2">Full</option></select>

	<p><label for="SeGroup-use_resize">Use the Image Resize Script? </label>
	<select name="SeGroup-use_resize" id="SeGroup-use_resize">
	<option <?php if($options['use_resize'] == "yes"){ echo ' selected '; } ?>value="yes">Yes</option>
	<option <?php if($options['use_resize'] == "no"){ echo ' selected '; } ?>value="no">No</option>
	</select></p>
    
    <p><label for="SeGroup-image_border">Image Border: </label>
    <input class="widefat"  type="text" id="SeGroup-image_border" name="SeGroup-image_border" value="<?php echo $options['image_border'];?>" /></p>
    <p><label for="SeGroup-image_bordercolor">Image Border Color: </label>
    <input class="widefat"  type="text" id="SeGroup-image_bordercolor" name="SeGroup-image_bordercolor" value="<?php echo $options['image_bordercolor'];?>" /></p>
    <p><label for="SeGroup-go_profile_text">Group Link Title: </label>
    <input class="widefat"  type="text" id="SeGroup-go_profile_text" name="SeGroup-go_profile_text" value="<?php echo $options['go_profile_text'];?>" /></p>
    <p><label for="SeGroup-go_profile_text1">User Link Title: </label>
    <input class="widefat"  type="text" id="SeGroup-go_profile_text1" name="SeGroup-go_profile_text1" value="<?php echo $options['go_profile_text1'];?>" /></p>
    <p><label for="SeGroup-empty_image_url">SE Empty Image: </label>
    <input class="widefat"  type="text" id="SeGroup-empty_image_url" name="SeGroup-empty_image_url" value="<?php echo $options['empty_image_url'];?>" /></p>
    <p><label for="SeGroup-pic_dim_width">Pic Width (in pixel): </label>
    <input class="widefat"  type="text" id="SeGroup-pic_dim_width" name="SeGroup-pic_dim_width" value="<?php echo $options['pic_dim_width'];?>" /></p>
    <p><label for="SeGroup-pic_dim_height">Pic Width (in pixel): </label>
    <input class="widefat"  type="text" id="SeGroup-pic_dim_height" name="SeGroup-pic_dim_height" value="<?php echo $options['pic_dim_height'];?>" /></p>
    <p><label for="SeGroup-nametype">Preferred Names: </label>
    
    <select name="SeGroup-nametype" id="SeGroup-nametype">
    <option <?php if($options['nametype'] == "1"){ echo ' selected '; } ?>value="1">Username</option>
    <option <?php if($options['nametype'] == "2"){ echo ' selected '; } ?>value="2">Full Name</option></select>
    
    <p><label for="SeGroup-mainbox_border_style">Mainbox Border Style: </label>
    <select name="SeGroup-mainbox_border_style" id="SeGroup-mainbox_border_style">
    <option <?php if($options['mainbox_border_style'] == "0"){ echo ' selected '; } ?>value="0">No Border</option>
    <option <?php if($options['mainbox_border_style'] == "1"){ echo ' selected '; } ?>value="1">Dotted Border</option>
    <option <?php if($options['mainbox_border_style'] == "2"){ echo ' selected '; } ?>value="2">Solid Border</option>
    
    </select></p>
    
    <p><label for="SeGroup-mainbox_width">Mainbox Width (in %): </label>
    <input class="widefat"  type="text" id="SeGroup-mainbox_width" name="SeGroup-mainbox_width" value="<?php echo $options['mainbox_width'];?>" /></p>
    <p><label for="SeGroup-mainbox_border_color">Mainbox Border Color: </label>
    <input class="widefat"  type="text" id="SeGroup-mainbox_border_color" name="SeGroup-mainbox_border_color" value="<?php echo $options['mainbox_border_color'];?>" /></p>
    <p><label for="SeGroup-mainbox_border_dim">Mainbox Border Thickness (in px): </label>
    <input class="widefat"  type="text" id="SeGroup-mainbox_border_dim" name="SeGroup-mainbox_border_dim" value="<?php echo $options['mainbox_border_dim'];?>" /></p>
    <p><label for="SeGroup-mainbox_bg_color">Mainbox Background Color: </label>
    <input class="widefat"  type="text" id="SeGroup-mainbox_bg_color" name="SeGroup-mainbox_bg_color" value="<?php echo $options['mainbox_bg_color'];?>" /></p>
    <p><label for="SeGroup-box_border_style">Inner box Border Style: </label>
    
    <select name="SeGroup-box_border_style" id="SeGroup-box_border_style">
    <option <?php if($options['box_border_style'] == "0"){ echo ' selected '; } ?>value="0">No Border</option>
    <option <?php if($options['box_border_style'] == "1"){ echo ' selected '; } ?>value="1">Dotted Border</option>
    <option <?php if($options['box_border_style'] == "2"){ echo ' selected '; } ?>value="2">Solid Border</option>
    
    </select></p>
    
    <p><label for="SeGroup-box_border_color">Inner box Border Color: </label>
    <input class="widefat"  type="text" id="SeGroup-box_border_color" name="SeGroup-box_border_color" value="<?php echo $options['box_border_color'];?>" /></p>
    <p><label for="SeGroup-box_border_dim">Inner box Border Thickness (in px): </label>
    <input class="widefat"  type="text" id="SeGroup-box_border_dim" name="SeGroup-box_border_dim" value="<?php echo $options['box_border_dim'];?>" /></p>
    <p><label for="SeGroup-box_bg_color">Inner box Background Color: </label>
    <input class="widefat"  type="text" id="SeGroup-box_bg_color" name="SeGroup-box_bg_color" value="<?php echo $options['box_bg_color'];?>" /></p>
    <p><label for="SeGroup-outer_cellspacing">Mainbox Cellspacing: </label>
    <input class="widefat"  type="text" id="SeGroup-outer_cellspacing" name="SeGroup-outer_cellspacing" value="<?php echo $options['outer_cellspacing'];?>" /></p>
    <p><label for="SeGroup-outer_cellpadding">Mainbox Cellpadding: </label>
    <input class="widefat"  type="text" id="SeGroup-outer_cellpadding" name="SeGroup-outer_cellpadding" value="<?php echo $options['outer_cellpadding'];?>" /></p>
    <p><label for="SeGroup-inner_cellspacing">Inner box Cellspacing: </label>
    <input class="widefat"  type="text" id="SeGroup-inner_cellspacing" name="SeGroup-inner_cellspacing" value="<?php echo $options['inner_cellspacing'];?>" /></p>
    <p><label for="SeGroup-inner_cellpadding">Inner box Cellpadding: </label>
    <input class="widefat"  type="text" id="SeGroup-inner_cellpadding" name="SeGroup-inner_cellpadding" value="<?php echo $options['inner_cellpadding'];?>" /></p>
    
    <p><label for="SeGroup-cut_off">Cut the Description after X Chars (leave it blank for no-cut): </label>
    <input class="widefat"  type="text" id="SeGroup-cut_off" name="SeGroup-cut_off" value="<?php echo $options['cut_off'];?>" /></p>
    <p><label for="SeGroup-show_stat">Show the Stats? </label>
    <select name="SeGroup-show_stat" id="SeGroup-show_stat">
    <option <?php if($options['show_stat'] == "yes"){ echo ' selected '; } ?>value="yes">Yes</option>
    <option <?php if($options['show_stat'] == "no"){ echo ' selected '; } ?>value="no">No</option>
    
    </select></p>
    
    <p><label for="SeGroup-split_stat">Split the Stats in 2 lines? </label>
    <select name="SeGroup-split_stat" id="SeGroup-split_stat">
    <option <?php if($options['split_stat'] == "yes"){ echo ' selected '; } ?>value="yes">Yes</option>
    <option <?php if($options['split_stat'] == "no"){ echo ' selected '; } ?>value="no">No</option>
    
    </select></p>
    
    <p><label for="SeGroup-hide_desc">Hide the Description? </label>
    <select name="SeGroup-hide_desc" id="SeGroup-hide_desc">
    <option <?php if($options['hide_desc'] == "yes"){ echo ' selected '; } ?>value="yes">Yes</option>
    <option <?php if($options['hide_desc'] == "no"){ echo ' selected '; } ?>value="no">No</option>
    
    </select></p>
    
        <input type="hidden" id="SeGroup-Submit" name="SeGroup-Submit" value="1" />
<?php
}


//-----------------------------------------------------------------------------
//			ACTIONS
//-----------------------------------------------------------------------------


//uninstall all options
function SeGroup_uninstall () {
	delete_option('widget_SeGroup');
}

function joomood_groups_uninstall () {
	delete_option('joomood_groups_options');
}

function SeGroup_init()
{
  register_sidebar_widget(__('JooMood SE Groups'), 'widget_SeGroup');
  register_widget_control(   'JooMood SE Groups', 'SeGroup_control', 300, 200 );    
}

add_action("plugins_loaded", "SeGroup_init");
add_action('admin_menu', 'joomood_groups_add_pages');

register_activation_hook( __FILE__, 'joomood_groups_install' );
register_deactivation_hook( __FILE__, 'joomood_groups_uninstall' );


?>